Page MenuHomeFreeBSD

Make different Perl versions installable at the same time.
ClosedPublic

Authored by mat on Sep 1 2015, 12:21 PM.

Details

Summary

This does a few things.

  • Change the place Perl's section 1 man page are installed so that they don't conflict between versions, they get installed at the same place the section 3 man pages are, which seems sensible.
  • Only the default Perl, that is, the one defined by DEFAULT_VERSIONS+=perl5=5.xx installs /usr/local/bin/perl.
  • The non default Perl do install the usual scripts in /usr/local/bin, but they are installed with a version prefix.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat updated this revision to Diff 8383.Sep 1 2015, 12:21 PM
mat retitled this revision from to Make different Perl versions installable at the same time..
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat added a reviewer: Perl.
mat updated this revision to Diff 8384.Sep 1 2015, 12:26 PM
  • Remove CONFLICTS_INSTALL.
mat updated this revision to Diff 8385.Sep 1 2015, 12:28 PM
  • Bump PORTREVISION.
mat added a subscriber: portmgr.Sep 1 2015, 12:30 PM
mat updated this revision to Diff 8391.Sep 1 2015, 2:30 PM
  • Make it so it's a usable perl installation.
mat updated this revision to Diff 8455.Sep 3 2015, 1:00 PM
  • Make it so it's a usable perl installation.
  • spam logs, don't wait if BATCH.
  • rename MAN3PREFIX to PERLMANPREFIX.
  • Move Perl's man1 files along with it's man3 files.
mat updated this revision to Diff 8549.Sep 7 2015, 12:52 PM
  • Remove -Dman1ext, no use any more.
mat updated this object.Sep 7 2015, 2:50 PM
mat updated this revision to Diff 8550.Sep 7 2015, 3:12 PM
mat updated this object.
  • Remove the perl5_version file, it is not useful any more.
  • Add UPDATING.
mat updated this revision to Diff 8571.Sep 7 2015, 9:37 PM
mat edited edge metadata.
  • Change the way Perl is depended on.
bapt accepted this revision.Sep 7 2015, 9:47 PM
bapt added a reviewer: bapt.
bapt added a subscriber: bapt.

IMHO this is another step in the good direction (only checked the Mk magic)

This revision is now accepted and ready to land.Sep 7 2015, 9:47 PM
mat updated this revision to Diff 8585.Sep 8 2015, 12:14 PM
mat edited edge metadata.
  • Update the UPDATING instructions, say what must be done, no what should not.
This revision now requires review to proceed.Sep 8 2015, 12:14 PM
mat updated this revision to Diff 8611.Sep 8 2015, 11:39 PM
mat edited edge metadata.
  • Move where Perl installs it's modules man .1 pages.
  • Fix all ports that have man1 pages and that are affected by the Perl change.
mat updated this revision to Diff 8620.Sep 9 2015, 10:44 AM
  • When I change the default Perl version, it'd be nice if it did not force
mat updated this revision to Diff 8669.Sep 11 2015, 1:40 PM
  • Fix when not running with PACKAGE_BUILDING.
mat updated this revision to Diff 8700.Sep 12 2015, 9:13 PM
  • Fix more ports.
mat updated this revision to Diff 8739.Sep 14 2015, 8:03 AM

Rebase.

This revision was automatically updated to reflect the committed changes.